Modify

#64 closed enhancement (wontfix)

Changing Profile Settings

Reported by: jsuelwald@… Owned by:
Priority: wishlist Milestone:
Component: BitlBee Version: 1.0
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Hi,

it would be nice if the user is able to change his profile settings (within icq, aim and so on) using bitlbee.

I know, it is not something one would do very often, but it is yet another feature that a "normal" IM client normally has and some users might just miss this feature.

Attachments (0)

Change History (10)

comment:1 Changed at 2005-12-20T14:13:51Z by wilmer

Resolution: wontfix
Status: newclosed

I think this isn't really useful. BitlBee's command-line interface isn't very comfortable for this kind of things, and at least for ICQ you can change your profile using a web browser too. Go to http://www.icq.com/$your_uin and click on the "Click Here to Update Your Details" link (hmm, right now it links to http://www.icq.com/whitepages/user_details.php). Much more comfortable. I hope this is possible for other protocols too.

comment:2 Changed at 2006-03-19T21:49:52Z by anonymous

Resolution: wontfix
Status: closedreopened

But is this possible for protocls like AIM? There's an info command that displays people's profiles. Why not have a command to set a profile?

comment:3 Changed at 2006-03-20T10:25:25Z by timing

how would someone do that?

info 1 set country Netherlands

info 1 set "free text description" "Hello, My name is Tijmen! I'm in for a chat with girls from 18 to 22"

This is something for a GUI

comment:4 Changed at 2006-03-20T10:30:04Z by wilmer

Resolution: wontfix
Status: reopenedclosed

Exactly. And besides, it's not really something you do every day...

comment:5 Changed at 2006-05-03T22:26:46Z by anonymous

Resolution: wontfix
Status: closedreopened

i realize you wouldnt do this every day but, is there a way to get a profile up if they arent using another IM client, even if you arent going to make command to change it from bitlbee? it might be nice to get a small text description at least

comment:6 Changed at 2006-05-04T06:50:57Z by wilmer

Resolution: wontfix
Status: reopenedclosed

A line-by-line interface like BitlBee's is just not very suitable for this. And for most IM networks you can change your profile settings on their website. Please don't reopen this bug anymore.

comment:7 Changed at 2006-05-12T18:37:56Z by anonymous

Resolution: wontfix
Status: closedreopened

Why not allow profiles to be loaded from text files? That way you get the best of both worlds.

comment:8 Changed at 2006-05-12T19:33:19Z by wilmer

Resolution: wontfix
Status: reopenedclosed

NOW SHUT THE FUCK UP, I DO *NOT* WANT TO HAVE TO CLOSE THIS ONE AGAIN!

*SIGH*

comment:9 Changed at 2006-05-12T19:34:11Z by wilmer

And no, text files are a bad idea for a daemon that often runs on a different machine than where the user is.

comment:10 Changed at 2007-07-07T17:00:42Z by maurits

I'm not going to incur wilmer's wrath on this one and he's right. This is a waste of development time.

Once there's a client-server DCC infrastructure in place this might make sense to implement with text-files, but how many times a day do you change your profile? There's much more useful things to work on.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.